Cyberduck Mountain Duck CLI

#595 closed enhancement (fixed)

Confirmation alert on move and rename in browser

Reported by: steffans@… Owned by: dkocher
Priority: normal Milestone: 4.4
Component: interface Version: 2.6
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Hello Cyberduck team,

It would be cool if you can add confirmation messages boxes on some non-destructive operations like move or rename for example. Sometimes while dragging and dropping around ftp files it quickly happens that some file get moved to another folder which shouldnt end up there. Then its kind of tricky to move everything back like it was before. So it would be nice if some massage box pops up and asks if the move operation should be executed. Similar to the delete confirmation box. This should be added to the config so everyone configure the behavior like he wants to.

Change History (5)

comment:1 Changed on Jul 26, 2006 at 12:53:41 PM by dkocher

  • Component changed from core to interface
  • Status changed from new to assigned

comment:2 Changed on Apr 10, 2007 at 8:26:31 AM by dkocher

Set #1094 as Duplicate.

comment:3 Changed on May 24, 2007 at 9:23:54 PM by dkocher

  • Milestone set to 2.8
  • Resolution set to fixed
  • Status changed from assigned to closed

Fixed in r3004 and r3005. Optional setting browser.confirmMove.

defaults write ch.sudo.cyberduck browser.confirmMove true

Graphical preference forthcoming.

comment:4 Changed on Sep 12, 2013 at 12:26:38 PM by dkocher

  • Milestone changed from 2.8 to 4.4

Enabled by default in r12861.

comment:5 Changed on Sep 12, 2013 at 12:29:01 PM by dkocher

  • Summary changed from Confirmation Messages Boxes on move, rename Operations to Confirmation alert on move and rename in browser
Note: See TracTickets for help on using tickets.
swiss made software